#browser {
	
	
	position: fixed;
	
	#browsercontent{
		position: relative;
		width: 100%;
		height: 100%;
		@include border-box;
		border-right: 0px solid transparent;
		
		background-image: url(../community/images/radial-gradient.png);
		background-size: 90%;
		background-position: center center;
		background-repeat: no-repeat;
		
	
		-webkit-transition-property: border-right-width;
		-ms-transition-property: border-right-width;
		transition-property: border-right-width;
		
		@include community-transition-duration(true);
	}
	
	#sidebarwrapper {
		position: fixed;
		right: 0;
		top: 0;
		height: 100%;
		width: 0;
		-webkit-perspective: 2000px;
		perspective: 2000px;
		
		.v-ui[width-range~="0px-800px"] & {
			position: static;
			display: inline;
		}
	}
	
	
	.sidebar-open .v-ui[width-range~="801px-"] & {
		#browsercontent {
			border-right-width: $sidebar-width;
		}
		
		#navigator,
		.samplepanel,
		.waiaria,
		.pre-release-notification {
			$sidebar-width-half: $sidebar-width / 2.0;
			@include transform(translateX(-$sidebar-width-half));
		}
		
		.siblingbutton.nextbutton {
			@include transform(translateX(-$sidebar-width));
		}
		
	}
	
	& > .sidebarbuttons {
		position: absolute;
		right: 0;
		top: 20px;
	}
}

.v-ie {
	#browser {
		-webkit-perspective: 2000px;
		perspective: 2000px;
	}
	
	#sidebarwrapper {
		position: static;
		display: inline;
	}
}
